CREATE TABLE #Person (First varchar(15), Last varchar(20), 
                      Phone1 varchar(10), Phone1Type varchar(6), 
					  Phone2 varchar(10), Phone2Type varchar(6), 
					  Phone3 varchar(10), Phone3Type varchar(6));
INSERT INTO #Person VALUES 
	('Jane', 'Smith', '5555551234', 'Home', '5556661234', 'Mobile', '5557771234', 'Work'),
	('Andrew', 'Jones', '5556667890', 'Mobile', '5557777890', 'Work', '5555557890', 'Home');
INSERT INTO #Person (First, Last, Phone1, Phone1Type, Phone2, Phone2Type) Values
	('Deborah', 'Cohen', '5556667474', 'Mobile', '5557777474', 'Work');

-- SELECT * FROM #Person;

-- Use variables here. In production, these might be parameters
DECLARE @table AS NVARCHAR(max) = N'tempdb..#Person';
DECLARE @phonenames AS NVARCHAR(max) = N'Phone[0-9]';
DECLARE @typenames AS NVARCHAR(max) = N'Phone[0-9]Type';

DECLARE @phonecols AS NVARCHAR(max);
DECLARE @typecols AS NVARCHAR(max);
DECLARE @query AS NVARCHAR(max);

SELECT @phonecols = ISNULL(@phonecols + ', ', '') + QUOTENAME(Name)
	FROM tempdb.sys.Columns
	WHERE Object_ID = OBJECT_ID(@table)
	  AND Name LIKE @phonenames;

SELECT @typecols = ISNULL(@typecols + ', ', '') + QUOTENAME(Name)
	FROM tempdb.sys.columns
	WHERE object_id = OBJECT_ID(@table)
	  AND name LIKE @typenames;

SET @query = 
'WITH AllPhones AS 
  (SELECT First, Last, Phone, PhoneType, 
          RIGHT(Phones, 1) AS nPhone, 
		  SUBSTRING(PhoneTypes, 6, 1) AS nPhoneType
	FROM #Person
	  UNPIVOT 
	    (Phone FOR Phones 
		   IN (' + @phonecols +')) AS PhoneList
	  UNPIVOT 
	    (PhoneType FOR PhoneTypes 
		   IN (' + @typecols +')) AS PhoneTypeList) 

SELECT First, Last, Phone, PhoneType
	FROM AllPhones 
    WHERE nPhone = nPhoneType';

-- Run the query
EXEC sp_executesql @query;

-- DROP #Person;

