* Export crosstab data to Excel's XLS format
DO CrossTabSalespersonMonthly.PRG

LOCAL cXLSFile, oXL, oWorkbook, lSuccess, cXLSXFile
cXLSFile =  FORCEPATH(FORCEEXT("SalesPersonMonthly", "XLS"), SYS(2023))
cXLSXFile = FORCEEXT(m.cXLSFile, "XLSX")

COPY TO (m.cXLSFile) TYPE XL5

TRY
	oXL = CREATEOBJECT("Excel.Application")
	lSuccess = .T.
CATCH
	MESSAGEBOX("Unable to open Excel.")
	lSuccess = .F.
ENDTRY

IF m.lSuccess
	TRY 
		oWorkbook = oXL.Workbooks.Open(m.cXLSFile)
		lSuccess = .T.
	CATCH 
		MESSAGEBOX("Unable to open workbook in Excel for conversion to XLSX.")
		lSuccess = .F.
		oXL.Quit()
	ENDTRY
ENDIF 

IF m.lSuccess
	TRY 
		oWorkbook.SaveAs(m.cXLSXFile, 51) && 51 = xlOpenXMLWorkbook
	CATCH
		MESSAGEBOX("Unable to convert workbook to XLSX.")
	ENDTRY 
	oXL.Quit()
ENDIF 


RETURN 
