SELECT JobTitle, CR.Name, Count(*) AS EmpCount
	FROM [HumanResources].[Employee]
	  JOIN [Person].[BusinessEntityAddress] BEA
	    ON Employee.BusinessEntityID = BEA.BusinessEntityID
	  JOIN [Person].[Address]
	    ON BEA.AddressID = Address.AddressID
	  JOIN [Person].[StateProvince] SP
	    ON Address.StateProvinceID = SP.StateProvinceID
	  JOIN [Person].[CountryRegion] CR
	    ON SP.CountryRegionCode = CR.CountryRegionCode
	WHERE Employee.CurrentFlag = 1
	GROUP BY JobTitle, CR.Name
	ORDER BY JobTitle, CR.Name