SELECT JobTitle, 
       SUM(CASE CR.Name WHEN 'Australia' THEN 1 ELSE 0 END) AS nAustralia,
	   SUM(CASE CR.Name WHEN 'Canada' THEN 1 ELSE 0 END) AS nCanada,
       SUM(CASE CR.Name WHEN 'France' THEN 1 ELSE 0 END) AS nFrance,
       SUM(CASE CR.Name WHEN 'Germany' THEN 1 ELSE 0 END) AS nGermany,
       SUM(CASE CR.Name WHEN 'United Kingdom' THEN 1 ELSE 0 END) AS nUK,
       SUM(CASE CR.Name WHEN 'United States' THEN 1 ELSE 0 END) AS nUSA
	FROM [HumanResources].[Employee]
	  JOIN [Person].[BusinessEntityAddress] BEA
	    ON Employee.BusinessEntityID = BEA.BusinessEntityID
	  JOIN [Person].[Address]
	    ON BEA.AddressID = Address.AddressID
	  JOIN [Person].[StateProvince] SP
	    ON Address.StateProvinceID = SP.StateProvinceID
	  JOIN [Person].[CountryRegion] CR
	    ON SP.CountryRegionCode = CR.CountryRegionCode
	WHERE Employee.CurrentFlag = 1
	GROUP BY JobTitle
	ORDER BY JobTitle