WITH csrJobCountry (JobTitle, Country, EmpID)
AS
(SELECT JobTitle, CR.Name, Employee.BusinessEntityID 
	FROM [HumanResources].[Employee]
	  JOIN [Person].[BusinessEntityAddress] BEA
	    ON Employee.BusinessEntityID = BEA.BusinessEntityID
	  JOIN [Person].[Address]
	    ON BEA.AddressID = Address.AddressID
	  JOIN [Person].[StateProvince] SP
	    ON Address.StateProvinceID = SP.StateProvinceID
	  JOIN [Person].[CountryRegion] CR
	    ON SP.CountryRegionCode = CR.CountryRegionCode
	WHERE Employee.CurrentFlag = 1
	)

SELECT * 
  FROM csrJobCountry
    PIVOT(Count(EmpID)
	  FOR Country IN (Australia,Canada,France,Germany,[United Kingdom],[United States])) AS EmpTotal