OPEN DATABASE HOME(2) + "Northwind\Northwind"

SELECT EmployeeID, YEAR(OrderDate) AS Year, MONTH(OrderDate) as Month, ;
       SUM(Quantity*UnitPrice) AS OrderTotal ;
	FROM Orders ;
	  JOIN OrderDetails ;
	    ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY 1, 2, 3 ;
	INTO CURSOR csrMonthlyTotals
	
* Add employee name
SELECT PADR(ALLTRIM(FirstName) + (' ' + LastName), 30) AS cName, csrMonthlyTotals.* ;
	FROM csrMonthlyTotals ;
	  JOIN Employees ;
	    ON csrMonthlyTotals.EmployeeID = Employees.EmployeeID ;
	ORDER BY LastName, FirstName ;
	INTO CURSOR csrReport
	

LOCAL cCSVFile
cCSVFile = FORCEPATH(FORCEEXT("SalesPersonMonthly", "CSV"), SYS(2023))

COPY TO (m.cCSVFile) TYPE csv

LOCAL oExcel AS Excel.Application, oWorkbook as Excel.Workbook, oSheet AS Excel.Worksheet
LOCAL oPC AS Excel.PivotCache, oPT AS Excel.PivotTable, oRange AS Excel.Range

oExcel = CREATEOBJECT("Excel.Application")
oWorkbook = oExcel.Workbooks.Open(m.cCSVFile)
oExcel.Visible = .T.


* Adapted from PivotTable macro
oRange = oExcel.ActiveSheet.UsedRange()

oSheet = oExcel.Sheets.Add()
oSheet.Name = "SalesPivot"
oPC = oExcel.ActiveWorkbook.PivotCaches.Create(1, ; && xlDatabase
       m.oRange, 4) && 5=xlPivotTable15; 4=xlPivotTable14
       
oPT = oPC.CreatePivotTable("SalesPivot!R3C1", "PivotTable2", .T., 4)

oPT.AddDataField(oPT.PivotFields("ordertotal"), "Orders ($)", -4157) && xlSum
With oPT.PivotFields("cname")
	.Orientation = 1	&& xlRowField
	.Position = 1
EndWith
With oPT.PivotFields("year")
	.Orientation = 2 && xlColumnField
	.Position = 1
ENDWITH
With oPT.PivotFields("month")	
	.Orientation = 2 && xlColumnField
	.Position = 2
EndWith
oPT.CompactLayoutRowHeader = "Salesperson"
oPT.CompactLayoutColumnHeader = "Months/Years"
oPT.PivotFields("Orders ($)").NumberFormat = "$#,#0"

RETURN
