WITH SalesByMonth
AS
(SELECT SalesPersonID, MONTH(OrderDate) As SalesMonth, SubTotal
			FROM Sales.SalesOrderHeader
			WHERE SalesPersonID IS NOT NULL
			  AND YEAR(OrderDate) = 2013)

SELECT SalesPersonID, 
       [1] AS Jan, [2] AS Feb, [3] AS Mar, 
	   [4] AS Apr, [5] AS May, [6] AS Jun, 
       [7] AS Jul, [8] AS Aug, [9] AS Sep, 
       [10] AS Oct, [11] AS Nov, [12] AS Dec
	FROM SalesByMonth
	PIVOT(SUM(SubTotal) 
		  FOR SalesMonth IN ([1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12])) AS TotalSales
	ORDER BY SalesPersonID;