WITH SalesByYear (SalesPersonID, SalesYear, SubTotal, OrderID)
AS 
(SELECT SalesPersonID, YEAR(OrderDate), SubTotal, SalesOrderID
			FROM Sales.SalesOrderHeader
			WHERE SalesPersonID IS NOT NULL)

SELECT SalesPersonID, [2011] AS Total2011, [2012] AS Total2012, [2013] AS Total2013, [2014] AS Total2014
	FROM SalesByYear
	PIVOT(SUM(SubTotal) 
		  FOR SalesYear IN ([2011], [2012], [2013], [2014])) AS TotalSales