DECLARE @query AS NVARCHAR(max);
DECLARE @years AS NVARCHAR(max);

-- Get the list of years
WITH DistinctYear (nYear)
AS
(SELECT DISTINCT YEAR(OrderDate)
	FROM Sales.SalesOrderHeader)
SELECT @years = ISNULL(@years + ', ', '') + QUOTENAME(nYear)
	FROM DistinctYear
	ORDER BY nYear;

-- Build the query including the list of years
SET @query = 
  'WITH SalesByYear
   AS
   (SELECT SalesPersonID, YEAR(OrderDate) AS SalesYear, SubTotal
			FROM Sales.SalesOrderHeader
			WHERE SalesPersonID IS NOT NULL) 
   SELECT *
	FROM SalesByYear
	PIVOT(SUM(SubTotal) 
		  FOR SalesYear IN (' + @years + ')) AS TotalSales
	ORDER BY SalesPersonID';

-- Run the query
EXEC sp_executesql @query;

