WITH SalesByYear (SalesPersonID, SalesYear, SubTotal)
AS 
(SELECT SalesPersonID, YEAR(OrderDate), SubTotal
			FROM Sales.SalesOrderHeader
			WHERE SalesPersonID IS NOT NULL),

SalesTotal 
AS
(SELECT SalesPersonID, [2011] AS Total2011, [2012] AS Total2012, [2013] AS Total2013, [2014] AS Total2014
	FROM SalesByYear
	PIVOT(SUM(SubTotal) 
		  FOR SalesYear IN ([2011], [2012], [2013], [2014])) AS TotalSales),

SalesCount
AS 
(SELECT SalesPersonID, [2011] AS Count2011, [2012] AS Count2012, [2013] AS Count2013, [2014] AS Count2014
	FROM SalesByYear
	PIVOT(COUNT(SubTotal) 
		  FOR SalesYear IN ([2011], [2012], [2013], [2014])) AS Sales)

SELECT ST.SalesPersonID, 
       SC.Count2011, ST.Total2011, 
       SC.Count2012, ST.Total2012, 
	   SC.Count2013, ST.Total2013, 
       SC.Count2014, ST.Total2014
	FROM SalesTotal ST
	  JOIN SalesCount SC
	    ON ST.SalesPersonID = SC.SalesPersonID
	ORDER BY ST.SalesPersonID;