WITH SalesByYear (SalesPersonID, SalesYear, SubTotal)
AS 
(SELECT SalesPersonID, YEAR(OrderDate) , SubTotal
			FROM Sales.SalesOrderHeader
			WHERE SalesPersonID IS NOT NULL),

SalesByYearPivot AS
(SELECT *
	FROM SalesByYear
	PIVOT(SUM(SubTotal) 
		  FOR SalesYear IN ([2011], [2012], [2013], [2014])) AS TotalSales)

SELECT Person.FirstName, Person.LastName, SalesByYearPivot.*
	FROM SalesByYearPivot
	  JOIN Person.Person
		ON SalesByYearPivot.SalesPersonID = Person.BusinessEntityID
	ORDER BY LastName, FirstName
