USE AdventureWorks2014;

WITH csrSalesByYear
AS
(SELECT SalesPersonID, MONTH(OrderDate) As SalesMonth, YEAR(orderDate) AS SalesYear, SubTotal
			FROM Sales.SalesOrderHeader
			WHERE SalesPersonID IS NOT NULL) 
SELECT *
	FROM csrSalesByYear
	PIVOT(SUM(SubTotal) 
		  FOR SalesYear IN ([2011], [2012], [2013], [2014])) AS TotalSales
	ORDER BY SalesPersonID, SalesMonth;