WITH SalesByYear (SalesPersonID, SalesYear, SubTotal)
AS 
(SELECT SalesPersonID, YEAR(OrderDate) , SubTotal
			FROM Sales.SalesOrderHeader
			WHERE SalesPersonID IS NOT NULL)
SELECT *
    INTO #SalesByYearCT
	FROM SalesByYear
	PIVOT(SUM(SubTotal) 
		  FOR SalesYear IN ([2011], [2012], [2013], [2014])) AS TotalSales
	ORDER BY SalesPersonID;

SELECT SalesPersonID, SalesYear, AnnualSales
	FROM #SalesByYearCT
	UNPIVOT (AnnualSales
	  FOR SalesYear IN ([2011], [2012], [2013], [2014])) AS SalesPersonYear;
