OPEN DATABASE HOME(2) + "Northwind\Northwind"

SELECT ProductName, CategoryName, ;
       YEAR(OrderDate) AS Year, ShipCountry,  ;
       SUM(Quantity) AS NumSold ;
	FROM Orders ;
	  JOIN OrderDetails OD ;
	    ON Orders.OrderID = OD.OrderID ;
	  JOIN Products ;
	    ON OD.ProductID = Products.ProductID ;
	  JOIN Categories ;
	    ON Products.CategoryID = Categories.CategoryID ;  
	GROUP BY 1, 2, 3, 4 ;
	INTO CURSOR csrProductsSold
	
LOCAL cCSVFile
cCSVFile = FORCEPATH(FORCEEXT("ProductSales", "CSV"), SYS(2023))

COPY TO (m.cCSVFile) TYPE csv

LOCAL oExcel AS Excel.Application, oWorkbook as Excel.Workbook, oSheet AS Excel.Worksheet
LOCAL oPC AS Excel.PivotCache, oPT AS Excel.PivotTable
LOCAL oChart AS Excel.Chart, oRange AS Excel.Range

oExcel = CREATEOBJECT("Excel.Application")
oWorkbook = oExcel.Workbooks.Open(m.cCSVFile)
oExcel.Visible = .T.

oSheet = oExcel.Sheets.Add()
oSheet.Name = "SalesByCategoryAndCountry"

oRange = oExcel.ActiveWorkbook.Worksheets("ProductSales").UsedRange()
oPC = oExcel.ActiveWorkbook.PivotCaches.Create(1, ; && xlDatabase
       m.oRange, 4)
oPT = oPC.CreatePivotTable("SalesByCategoryAndCountry!R1C1", "PivotTable1", .T., 4)
oPT.AddDataField(oPT.PivotFields("numsold"), "Units", -4157) && xlSum
WITH oPT.PivotFields("categoryname") AS Excel.PivotField
	.Orientation = 1 && xlRowField
	.Position = 1
	.Caption = "Category"
ENDWITH
WITH oPT.PivotFields("shipcountry") AS Excel.PivotField
	.Orientation = 2 && xlColumnField
	.Position = 1
	.Caption = "Country"
ENDWITH
 
oChart = oSheet.Shapes.AddChart(51, 150, 50, 600, 500) && 51 = xlColumnClustered
oPT.PivotFields("Category").PivotFilters.Add(1, oPT.PivotFields("units"), 3)

RETURN



